<?php

    namespace MNM\Spitzner\Plugin;

    use Amasty\CheckoutCore\Model\ConfigProvider;

    class ReorderCheckout
    {
        /**
         * @param ConfigProvider $subject
         * @param array $result
         * @return array
         */
        public function afterGetConfig(ConfigProvider $subject, $result)
        {
            //move second part of col 3 to col 4
            $result[ConfigProvider::CONFIG_KEY][] = [$result[ConfigProvider::CONFIG_KEY][2][1]];
            unset($result[ConfigProvider::CONFIG_KEY][2][1]);

            return $result;
        }
    }